
TYPO3.TypoScript - Bug # 8646

Status: Closed Priority: Must have
Author: Bastian Waidelich Category: _old
Created: 2010-07-04 Assigned To: Karsten Dambekalns
Updated: 2012-07-13 Due date:
Subject: CropProcessor should respect pre/suffix string in calculation of maximum characters
Description

Right now the Crop TypoScript processor adds the configured pre/suffix string to the cropped string resulting in a string that exceeds
the maximumCharacter setting. Instead it should subtract the length of the pre/suffix string from maximumCharacters as it happens in
the v4 crop function

Related issues:
related to TYPO3.TypoScript - Task # 8647: CropProcessor should correctly cro... Closed 2010-07-04
related to TYPO3.Fluid - Bug # 8648: format.crop ViewHelper should support al... New 2010-07-04

History
#1 - 2011-06-28 12:17 - Bastian Waidelich
- Assigned To deleted (Bastian Waidelich)

#2 - 2011-07-20 00:01 - Stefan Neufeind

Is it subtracted anywhere in v4? Had a look at t3lib/class.t3lib_cs.php (crop) and typo3/sysext/cms/tslib/class.tslib_content.php (crop) which don't take
that length into account. The latter is what is used by the fluid-cropviewhelper for v4.

#3 - 2011-11-07 11:38 - Sebastian Kurfuerst
- Project changed from TYPO3.Neos to TYPO3.TypoScript
- Category deleted (TypoScript)

#4 - 2012-07-04 11:25 - Sebastian Kurfuerst
- Category set to _old

#5 - 2012-07-13 16:20 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns

#6 - 2012-07-13 16:21 - Karsten Dambekalns
- Status changed from New to Closed
